module Noa #:nodoc:
  module Core #:nodoc:
    module Configuration
      # Hostnames for different environments
      #
      # Default values
      #
      #   hostnames = {
      #     development: "localhost:3000",
      #     test:        "example.com",
      #     production:  "example.com"
      #   }
      mattr_accessor :hostnames
      self.hostnames = {
        development: "localhost:3000",
        test:        "example.com",
        production:  "example.com"
      }
      
      # Application name
      #
      # Default value
      #
      #   application_name = "Noa Application"
      #
      # Localization key
      #
      #   noa.application.name
      mattr_accessor :application_name
      self.application_name = "Noa Application"
      
      # Mail sender name
      #
      # Default value
      #
      #   sender_name = Noa::Core::Configuration.application_name
      #
      # Localization key
      #
      #   noa.mailer.sender_name
      mattr_accessor :sender_name
      self.sender_name = Noa::Core::Configuration.application_name
      
      # Mail sender address
      #
      # Default value
      #
      #   sender_address = "info@example.com"
      #
      # Localization key
      #
      #   noa.mailer.sender_address
      mattr_accessor :sender_address
      self.sender_address = "info@example.com"
    end
  end
end
